<script lang="ts">
import { MetaInfo } from 'vue-meta/types/vue-meta';
import Vue from 'vue';
import {
  NextStepAlt,
  BackgroundWrapper,
  SideNavigationVariant,
} from '../components/common/index.vue';
import Hero from '../components/why-gitlab/hero.vue';
import Content from '../components/why-gitlab/content.vue';
import ProofPoints from '../components/why-gitlab/proof-points.vue';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    NextStepAlt,
    BackgroundWrapper,
    SideNavigationVariant,
    Hero,
    Content,
    ProofPoints,
  },
  nuxtI18n: false,
  data: () => ({
    links: [
      {
        title: '01 Software faster',
        href: '#software-faster',
      },
      {
        title: '02 AI-powered',
        href: '#ai-powered',
      },
      {
        title: '03 Privacy-first AI',
        href: '#privacy-first-ai',
      },
      {
        title: '04 Security',
        href: '#security',
      },
      {
        title: '05 Compliance',
        href: '#compliance',
      },
      {
        title: '06 Deployment',
        href: '#deployment',
      },
      {
        title: '07 Insights',
        href: '#insights',
      },
      {
        title: '08 Planning',
        href: '#planning',
      },
      {
        title: '09 No vendor lock-in',
        href: '#no-vendor-lock-in',
      },
      {
        title: '10 Open core',
        href: '#open-core',
      },
    ],
  }),
  head(): MetaInfo {
    const metadata = {
      title: 'Why GitLab?',
      ogTitle: 'Why GitLab?',
      description:
        '10 reasons why enterprises choose GitLab, the most comprehensive AI-powered DevSecOps platform being delivered as a single application. Learn more!',
      ogDescription:
        '10 reasons why enterprises choose GitLab, the most comprehensive AI-powered DevSecOps platform being delivered as a single application. Learn more!',
    };
    return getPageMetadata(metadata, this.$route.path);
  },
});
</script>

<template>
  <BackgroundWrapper>
    <SlpContainer>
      <Hero
        small-text="10 reasons why"
        title="enterprises choose GitLab"
        description="GitLab is the most comprehensive AI-powered DevSecOps platform."
      />
    </SlpContainer>
    <SideNavigationVariant
      :dark-mode="true"
      data-slippers-scroll-darkmode
      :links="links"
    >
      <div id="software-faster" data-slippers-scroll-darkmode="true">
        <Content
          header="01"
          subheader="7x faster cycle time"
          body="GitLab helps companies manage the growing complexities of developing, securing, and deploying software. By reducing toolchain sprawl, teams on GitLab spend less time maintaining tools — equaling 7x faster cycles, better developer productivity, reduced software spend, and more time to focus on the features that set your business apart."
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/carfax.svg"
          link="https://about.gitlab.com/customers/carfax/"
          :quote="true"
          text="We were spending too much time and budget procuring and supporting our toolchain, which had grown to 12 tools. We needed to minimize toolchain maintenance and support as much as possible so our teams could focus on actually creating new feature delivery and not just taking care of all these different tools. Indirectly, it’s a benefit for the whole business. That’s what it’s all about, really — how to be as efficient as possible to get features out to customers.”"
          name="– Mark Portofe, Director of Platform Engineering, CARFAX"
          data-ga-name="01 carfax"
        />
        <!-- <ProofPoints
          text="Investing in GitLab Ultimate helped interviewed customers make their software development and security efforts more efficient, creating a total return of investment of 427%, with a less than six month payback period."
          name="Forrester Total Economic Impact(TM) of GitLab's Ultimate Plan"
          image="/nuxt-images/logos/forrester-logo.svg"
          link="https://about.gitlab.com/resources/report-forrester-tei/"
          :quote="false"
        /> -->
      </div>
      <div id="ai-powered" data-slippers-scroll-darkmode="true">
        <Content
          header="02"
          subheader="Integrated AI across the software development lifecycle"
          body="Boost efficiency and reduce cycle times with the help of AI throughout the entire software development lifecycle. Our AI-powered workflows, GitLab Duo, support teams at every stage from coding and testing to security, documentation, and governance."
        />
        <ProofPoints
          text="AI should help developers accomplish all of their software development and deployment tasks, not just create faster code. While a quarter of developer’s time is spent coding, fully 75% is spent on all other tasks like testing, securing, and analyzing software. "
          link="https://about.gitlab.com/developer-survey/"
          :quote="false"
          name="The State of AI in Software Development"
          icon="ai-code-suggestions"
          data-ga-name="02 developer survey"
        />
      </div>
      <div id="privacy-first-ai" data-slippers-scroll-darkmode="true">
        <Content
          header="03"
          subheader="Privacy-first AI, with the right model for the right use case"
          body="AI can be complex. At GitLab, our approach is straightforward: your code remains your code, unused for training or fine tuning of our own models. Code Suggestions do not use customer code, and since GitLab isn’t commercially tied to any LLM provider, we match the right model based on your use case. Easily choose what works for you, or change when a model no longer aligns to your business or technology strategy."
        />
        <ProofPoints
          text="Privacy matters. 95% of executive respondents said privacy and protection of intellectual property are important when evaluating an AI tool or feature. 79% of respondents said they are concerned about AI tools having access to private information or intellectual property."
          link="https://about.gitlab.com/developer-survey/"
          :quote="false"
          name="The State of AI in Software Development"
          icon="devsecops"
          data-ga-name="03 developer survey"
        />
      </div>
      <div id="security" data-slippers-scroll-darkmode="true">
        <Content
          header="04"
          subheader="Security automation and governance at every step"
          body="GitLab enables security at scale, offering platform-wide governance to secure the software supply chain. GitLab’s automated guardrails ensures security in the production environment. GitLab’s security features allow customers to set granular policies and rules that automate compliance, enabling you to secure the software supply chain. Our security automation allows your developers to minimize manual repetitive tasks so they can focus on deep, value generating work. Our governance guardrails also assure the security team that developers are following best practices across the entire company."
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/hackerone.svg"
          text="HackerOne’s engineering team saved four to five hours a day per engineer by consolidating the work previously spent on deployment testing."
          link="https://about.gitlab.com/customers/hackerone/"
          data-ga-name="04 hackerone"
          :quote="false"
          icon="speed-gauge"
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/dunelm.svg"
          text="Dunelm needed a platform that could build pipelines seamlessly, and had security built in from the onset. By using GitLab to improve security processes throughout the software development lifecycle, Dunelm accelerated deployments by 7 times."
          link="https://about.gitlab.com/customers/dunelm/"
          data-ga-name="04 dunelm"
          :quote="false"
          icon="monitor-pipeline"
        />
        <!-- <ProofPoints
          text="“The types of DevSecOps elements GitLab is integrating – SAST, DAST, code quality analysis, etc. – are in step with the tools identified as most critical in our VotE survey data.” - this proves GitLab understands the customer and market needs and is proactively releasing new tooling to meet these needs."
          :quote="false"
        /> -->
      </div>
      <div id="compliance" data-slippers-scroll-darkmode="true">
        <Content
          header="05"
          subheader="End-to-end compliance and auditability"
          body="Security-specific tools that aren’t used consistently fail to protect organizations and their customers. GitLab's comprehensive governance solution enforces requirements across all projects, separating developer and security/compliance teams. Using our policy editor, you can customize approval rules to meet your business’ compliance needs and reduce risk."
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/lockheed-martin.svg"
          text="Compliance is a critical issue for Lockheed Martin. Using GitLab's compliance framework to enforce software quality and automation to make releases and dependency management more efficient has led to 80x faster pipeline builds, with 90% less time spent on system maintenance."
          link="https://about.gitlab.com/customers/lockheed-martin/"
          data-ga-name="05 lockheed martin"
          :quote="false"
          icon="shield-check-light"
        />
        <!-- <ProofPoints
          text="GitLab’s strengths lie in its ability to tightly integrate security with its own development environment — it can restrict components that don’t meet guidelines and can be configured to require merge request approvals when there are vulnerabilities or denied licenses.”"
          :quote="true"
        /> -->
      </div>
      <div id="deployment" data-slippers-scroll-darkmode="true">
        <Content
          header="06"
          subheader="Flexible deployment"
          body='Modern enterprises need deployment flexibility — especially organizations with complex security, compliance, and regulatory requirements. Choose from on-premises, multi-tenant SaaS, or [GitLab Dedicated](https://about.gitlab.com/dedicated/){data-ga-name="gitlab dedicated" data-ga-location="body"}, our fully managed single-tenant SaaS solution. With Dedicated, we’ll handle the management and deployment of your DevSecOps platform, saving operational costs while bringing you the control and compliance of self-hosted. Also included: full data and source code isolation, data residence, and private networking.'
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/natwestgroup.svg"
          text="“NatWest Group is adopting GitLab Dedicated to enable our engineers to use a common cloud engineering platform; delivering new customer outcomes rapidly, frequently and securely with high quality, automated testing, on demand infrastructure and straight-through deployment. This will significantly enhance collaboration, improve developer productivity and unleash creativity via a 'single-pane-of-glass' for software development.”"
          name=" – Adam Leggett, Platform Lead - Engineering Platforms, NatWest Group"
          data-ga-name="06 natwest group"
          :quote="true"
        />
      </div>
      <div id="insights" data-slippers-scroll-darkmode="true">
        <Content
          header="07"
          subheader="End-to-end metrics and visibility across the software delivery lifecycle"
          body="The key to creating value stream-driven software development? Metrics. This approach leverages people, process, and technology to go from idea to customer value with the fastest cycle time possible. With one unified data store, teams on GitLab can measure efficiency, productivity, and other key metrics in one place. Get a holistic view of everything from DevOps adoption to developer productivity, vulnerability detection, software quality, innovation, and more."
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/chorus.svg"
          text="The team at Chorus credits GitLab for helping them improve their feature cycle analytics. By having test results, security reviews, performance tests, the code climate, and everything in the merge requests, Chorus has been able to move quickly."
          link="https://about.gitlab.com/customers/chorus/"
          data-ga-name="07 chorus"
          :quote="false"
          icon="monitor-test"
        />
      </div>
      <div id="planning" data-slippers-scroll-darkmode="true">
        <Content
          header="08"
          subheader="Built-in enterprise agile planning"
          body="Organizations need software and product planning to be integrated with the rest of the development lifecycle versus treated like a siloed activity. GitLab’s enterprise agile planning is built into the same DevSecOps platform that development, security, and operations teams use to develop and deploy software, creating a more efficient experience and improving time to market."
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/iron-mountain.svg"
          upper-text="Iron Mountain sees GitLab as an important part of Enterprise Architecture and Platforms’ enablement of agile methods and helpful to the company’s evolution to DevOps. GitLab Ultimate SaaS does the maintenance, so developers can focus on development, reducing 20 hours of onboarding time per project and around $150,000 in cost savings per year."
          text="GitLab has provided us with the foundation and platform to enable our scaled agile framework. We are able to collaborate within our Enterprise IT teams and our key stakeholders.”"
          name=" – Hayelom Tadesse, Vice President of Enterprise Technology, Iron Mountain"
          :quote="true"
          link="https://about.gitlab.com/customers/iron-mountain/"
          data-ga-name="08 iron mountain"
        />
      </div>
      <div id="no-vendor-lock-in" data-slippers-scroll-darkmode="true">
        <Content
          header="09"
          subheader="A multi-cloud strategy with no vendor lock-in"
          body="Choosing a DevSecOps platform should mean choosing the clouds that fit your business and technology strategy. Since GitLab isn’t commercially tied to any specific cloud provider, you can de-risk your multi-cloud strategy and avoid being locked into a single vendor."
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/bendigo.svg"
          upper-text="With GitLab, Bendigo and Adelaide Bank has embraced cloud technology and has automated manual processes. In migrating to GitLab, the team moved 1,500 projects, over 30 organizations, 500 users, and 50GB of data in less than four weeks."
          text="GitLab helps us with multi-cloud deployments. We can deploy runners in any infrastructure, and we’re currently using them to deploy to AWS and GCP. Deploying to the cloud has been simple, and in the year we’ve been using GitLab, we’re in a good position to meet our goal of moving to the cloud.”"
          name="– Caio Trevisan, Head of DevOps Enablement, Bendigo and Adelaide Bank"
          :quote="true"
          link="https://about.gitlab.com/customers/bendigo-and-adelaide-bank/"
          data-ga-name="09 bendigo and adelaide bank"
        />
      </div>
      <div id="open-core" data-slippers-scroll-darkmode="true">
        <Content
          header="10"
          subheader="An open core DevSecOps platform that you can make your own"
          body="Better collaboration, faster innovation. Customize your DevSecOps platform with GitLab’s open core, empowering you to build a solution that truly meets your needs — while shaping the future of our roadmap and DevSecOps."
        />
        <ProofPoints
          image="/nuxt-images/why-gitlab/logos/ubs.svg"
          text="In an open source model, every time there was a gap, or an issue, or something we just needed your help with, we could reach out to GitLab and say, 'Can we work on this together? Is there a way to improve this?' That's the value, and that's one of the reasons we went with GitLab.”"
          name="– Rick Carey, Group Chief Technology Officer, UBS"
          link="https://about.gitlab.com/blog/2021/08/04/ubs-gitlab-devops-platform/"
          data-ga-name="10 ubs"
          :quote="true"
        />
      </div>
    </SideNavigationVariant>
    <div style="padding-top: 164px">
      <NextStepAlt />
    </div>
  </BackgroundWrapper>
</template>
